Get card details
Gets details about a particular card based on the BIN. Use the currency, amount, and other fields to apply any Flow rules that may put requirements on the card.
Retrieves details about a card using card’s BIN or a storedDocumentation Index
Fetch the complete documentation index at: https://docs.anglpay.com/llms.txt
Use this file to discover all available pages before exploring further.
payment_method_id. This endpoint requires the embed scope.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the merchant account to use for this request.
"default"
Query Parameters
The three-letter ISO currency code.
"USD"
The bank identification number (BIN) of the card.
6 - 8^\d+$"411111"
The ID of the payment method to check, instead of the bin.
"123e4567-e89b-12d3-a456-426614174000"
The two-letter ISO country code.
^[A-Z]{2}$"US"
The payment amount in the smallest currency unit.
1299
The transaction intent.
"authorize"
Whether this is a subsequent payment.
false
Whether the transaction is merchant-initiated
false
Additional metadata for the transaction in JSON format
"{\"source\": \"web\"}"
The source of the transaction payment The way payment method information made it to this transaction.
"web"
Response
Successful Response
Always card-detail.
"card-detail""card-detail"
The Bank Identification Number (BIN) of the card.
6 - 8^\d+$"123456"
The type of the card.
"credit"
The card scheme/network.
"visa"
Additional schemes of the card besides the primary scheme.
["eftpos-australia"]Per-scheme details (name and icon URL) for each additional scheme. Mirrors additional_schemes — null when additional_schemes is null.
[
{
"icon_url": "https://cdn.example.gr4vy.app/assets/icons/card-schemes/eftpos-australia.svg",
"scheme": "eftpos-australia"
}
]URL to the card scheme's icon.
"https://cdn.example.gr4vy.app/assets/icons/card-schemes/mastercard.svg"
The country code associated with the card.
^[A-Z]{2}$"US"
Fields that are required for this card type.
{
"address": { "postal_code": true },
"cvv": true
}